__check_region
Prev | Resources Management | Next

## Name

__check_region — check if a resource region is busy or free

## Synopsis

`int __check_region (` | struct resource * | parent,
| resource_size_t | start,
| resource_size_t | n`)`;

## Arguments

`parent`

  parent resource descriptor

`start`

  resource start address

`n`

  resource region size

## Description

Returns 0 if the region is free at the moment it is checked, returns `-EBUSY` if the region is busy.

## NOTE

This function is deprecated because its use is racy. Even if it returns 0, a subsequent call to `request_region` may fail because another driver etc. just allocated the region. Do NOT use it. It will be removed from the kernel.

Prev | Up | Next
__request_region | Home | __release_region